# Interface JmolDialogInterface

All Known Implementing Classes:
  `Dialog`

public interface JmolDialogInterface

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileNameFromDialog(Viewer vwr, String dialogType, String inputFileName)`
`String`
`getImageFileNameFromDialog(Viewer vwr, String fileName, String type, String[] imageChoices, String[] imageExtensions, int qualityJPG, int qualityPNG)`
`String`
`getOpenFileNameFromDialog(Map<String,Object> vwrOptions, Viewer vwr, String fileName, JmolAppAPI historyFile, String windowName, boolean allowAppend)`
`int`
`getQuality(String sType)`
`String`
`getSaveFileNameFromDialog(Viewer vwr, String data, String type)`
`String`
`getType()`
`void`
`setImageInfo(int qualityJPG, int qualityPNG, String imageType)`
`void`
`setupUI(boolean forceNewTranslation)`

## Method Details

### setupUI

void setupUI(boolean forceNewTranslation)

### getType

String getType()

Returns:
  The file type which contains the user's choice

### getQuality

int getQuality(String sType)

Parameters:
  `sType` - JPG or PNG
Returns:
  The quality (on a scale from 0 to 100) of the JPEG. 0 to 9 for PNG image that is to be generated. Returns -1 if choice was not JPEG or PNG.

### getOpenFileNameFromDialog

String getOpenFileNameFromDialog(Map<String,Object> vwrOptions, Viewer vwr, String fileName, JmolAppAPI historyFile, String windowName, boolean allowAppend)

### getSaveFileNameFromDialog

String getSaveFileNameFromDialog(Viewer vwr, String data, String type)

### getImageFileNameFromDialog

String getImageFileNameFromDialog(Viewer vwr, String fileName, String type, String[] imageChoices, String[] imageExtensions, int qualityJPG, int qualityPNG)

### setImageInfo

void setImageInfo(int qualityJPG, int qualityPNG, String imageType)

### getFileNameFromDialog

String getFileNameFromDialog(Viewer vwr, String dialogType, String inputFileName)